component: CapabilityClientDiagnostics
namespace: zoox::swopdash::server
proto_imports:
  - base/diag/monitors/stale/messages.proto
  - base/diag/monitors/timing/messages.proto
  - vehicle/swopdash_server/capability_client/proto/messages.proto
metric: proto::CapabilityClientMetric
faults:
  - id: 1
    name: GetInterfacesServiceNotAvailable
    severity: ERROR
    description: GetInterfaces service is not available
    freeze_frame: proto.ServiceNotAvailableFreezeFrame
    triggers_nogo: true
  - id: 2
    name: GetInterfacesStale
    severity: ERROR
    description: GetInterfaces service is stale
    freeze_frame: zoox.diag.StaleFreezeFrame
    triggers_nogo: true
  - id: 3
    name: GetInterfacesIntervalLow
    severity: WARNING
    description: GetInterfaces service interval is too low
    freeze_frame: zoox.diag.IntervalFreezeFrame
  - id: 4
    name: GetInterfacesIntervalHigh
    severity: WARNING
    description: GetInterfaces service interval is too high
    freeze_frame: zoox.diag.IntervalFreezeFrame
  - id: 5
    name: GetInterfacesFrequencyLow
    severity: WARNING
    description: GetInterfaces service frequency is too low
    freeze_frame: zoox.diag.FrequencyFreezeFrame
  - id: 6
    name: GetInterfacesFrequencyHigh
    severity: WARNING
    description: GetInterfaces service frequency is too high
    freeze_frame: zoox.diag.FrequencyFreezeFrame
  - id: 7
    name: GetProvidersServiceNotAvailable
    severity: ERROR
    description: GetProviders service is not available
    freeze_frame: proto.ServiceNotAvailableFreezeFrame
    triggers_nogo: true
  - id: 8
    name: GetProvidersStale
    severity: ERROR
    description: GetProviders service is stale
    freeze_frame: zoox.diag.StaleFreezeFrame
    triggers_nogo: true
  - id: 9
    name: GetProvidersIntervalLow
    severity: WARNING
    description: GetProviders service interval is too low
    freeze_frame: zoox.diag.IntervalFreezeFrame
  - id: 10
    name: GetProvidersIntervalHigh
    severity: WARNING
    description: GetProviders service interval is too high
    freeze_frame: zoox.diag.IntervalFreezeFrame
  - id: 11
    name: GetProvidersFrequencyLow
    severity: WARNING
    description: GetProviders service frequency is too low
    freeze_frame: zoox.diag.FrequencyFreezeFrame
  - id: 12
    name: GetProvidersFrequencyHigh
    severity: WARNING
    description: GetProviders service frequency is too high
    freeze_frame: zoox.diag.FrequencyFreezeFrame
  - id: 13
    name: GetRunningCapabilitiesServiceNotAvailable
    severity: ERROR
    description: GetRunningCapabilities service is not available
    freeze_frame: proto.ServiceNotAvailableFreezeFrame
    triggers_nogo: true
  - id: 14
    name: GetRunningCapabilitiesStale
    severity: ERROR
    description: GetRunningCapabilities service is stale
    freeze_frame: zoox.diag.StaleFreezeFrame
    triggers_nogo: true
  - id: 15
    name: GetRunningCapabilitiesIntervalLow
    severity: WARNING
    description: GetRunningCapabilities service interval is too low
    freeze_frame: zoox.diag.IntervalFreezeFrame
  - id: 16
    name: GetRunningCapabilitiesIntervalHigh
    severity: WARNING
    description: GetRunningCapabilities service interval is too high
    freeze_frame: zoox.diag.IntervalFreezeFrame
  - id: 17
    name: GetRunningCapabilitiesFrequencyLow
    severity: WARNING
    description: GetRunningCapabilities service frequency is too low
    freeze_frame: zoox.diag.FrequencyFreezeFrame
  - id: 18
    name: GetRunningCapabilitiesFrequencyHigh
    severity: WARNING
    description: GetRunningCapabilities service frequency is too high
    freeze_frame: zoox.diag.FrequencyFreezeFrame
  - id: 19
    name: PublishStateStale
    severity: ERROR
    description: Publish state is stale
    freeze_frame: zoox.diag.StaleFreezeFrame
    triggers_nogo: true
  - id: 20
    name: PublishStateIntervalLow
    severity: WARNING
    description: PublishState service interval is too low
    freeze_frame: zoox.diag.IntervalFreezeFrame
  - id: 21
    name: PublishStateIntervalHigh
    severity: WARNING
    description: PublishState service interval is too high
    freeze_frame: zoox.diag.IntervalFreezeFrame
  - id: 22
    name: PublishStateFrequencyLow
    severity: WARNING
    description: PublishState service frequency is too low
    freeze_frame: zoox.diag.FrequencyFreezeFrame
  - id: 23
    name: PublishStateFrequencyHigh
    severity: WARNING
    description: PublishState service frequency is too high
    freeze_frame: zoox.diag.FrequencyFreezeFrame
